package com.bocloud.cos.entity.assess;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 考核对象
 *
 * @author lym
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("assess_object")
public class AssessObject extends Generic {
    /**
     * id
     */
    @PK(PKStrategy.AUTO)
    private Long id;
    /**
     * 考核对象名称
     */
    @Column("name")
    private String name;
    /**
     * 考核任务ID
     */
    @Column("task_id")
    private Long taskId;
    /**
     * 考核分类编码
     */
    @Column("classify_code")
    private String classifyCode;
}
