package com.bocloud.cos.repository.assess;

import com.bocloud.cos.entity.assess.AssessCollectionMetricDetail;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 考核采集指标明细DAO
 *
 * @author lym
 */
@Repository
public class AssessCollectionMetricDetailRepository extends BasicGenericDao<AssessCollectionMetricDetail, Long> {

    public AssessCollectionMetricDetailRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate namedParameterJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, namedParameterJdbcTemplate, service);
    }

    public void deleteByMetricId(Long metricId) {
        String sql = "delete from assess_collection_metric_detail where collection_metric_id = " + metricId;
        execute(sql);
    }

    public List<AssessCollectionMetricDetail> listByMetricId(Long metricId) {
        String sql = "select * from assess_collection_metric_detail where collection_metric_id = " + metricId;
        return list(AssessCollectionMetricDetail.class, sql);
    }

    public List<AssessCollectionMetricDetail> listByMetricRuleId(Long metricRuleId) {
        String sql = "select * from assess_collection_metric_detail " +
                "where collection_metric_id = (select collection_metric_id from assess_metric " +
                "where id = (select metric_id from assess_rule where id = " + metricRuleId + "))";
        return list(AssessCollectionMetricDetail.class, sql);
    }
}
