package com.bocloud.cos.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

/**
 * 对外展示大屏业务接口
 *
 * @author tyl
 * @since 2020/12/23 15:11
 */
public interface ExternalService {
    GeneralResult resourceOverview(Long dcId, RequestContext context);

    GeneralResult vmsTrend(Long dcId, RequestContext context);

    GeneralResult resourceTrend(Long dcId, RequestContext context);

    GeneralResult tenantResourceCount(Long dcId, RequestContext context);

    GeneralResult projectResourceCount(Long dcId, RequestContext context);

    GeneralResult businessResourceCount(Long dcId, RequestContext context);

}
