package com.bocloud.cos.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Param;
import com.megatron.common.model.RequestContext;
import com.bocloud.cos.entity.Recycled;

import java.util.List;
import java.util.Map;

public interface RecycledService {
    GeneralResult list(int page, int rows, List<Param> params, Map<String, String> sorter, RequestContext context);

    GeneralResult remove(Long id, RequestContext context);

    GeneralResult remove(String sn, Long userId);

    GeneralResult clear(RequestContext context);

    GeneralResult create(Recycled recycled, RequestContext context);

    GeneralResult restore(Long resourceId, Long id, String type, RequestContext context);

}
