package com.bocloud.cos.intf;

import com.megatron.common.model.*;
import com.bocloud.cos.entity.CloudVendorAccount;

import java.util.List;

/**
 * @author lym
 * @since 2022-06-16
 */
public interface VendorAccountService {

    Result create(CloudVendorAccount vendorAccount) throws Exception;

    Result modify(CloudVendorAccount vendorAccount) throws Exception;

    GeneralResult<GridBean<CloudVendorAccount>> list(Pager pager);

    Result remove(Long id, RequestContext context);

    GeneralResult<CloudVendorAccount> detail(Long id);

    Result importAccount(List<CloudVendorAccount> accounts);

    GeneralResult<List<String>> queryVendorTypes();
}
