package com.bocloud.cos.model;

import lombok.Data;

/**
 * 考核分数占比
 *
 * @author lym
 */
@Data
public class AssessScoreProportionModel {
    String name = "考核分值占比";
    /**
     * 90-100 数量
     */
    Integer ninetyToHundredCount = 0;
    /**
     * 90-100 数量百分比（%）
     */
    String ninetyToHundredPercent = "0.00%";
    /**
     * 60-90 数量
     */
    Integer sixtyToNinetyCount = 0;
    /**
     * 60-90 数量百分比（%）
     */
    String sixtyToNinetyPercent = "0.00%";
    /**
     * 总数
     */
    Integer total = 0;
    /**
     * 0-60 数量
     */
    Integer zeroToSixtyCount = 0;
    /**
     * 0-60 数量百分比（%）
     */
    String zeroToSixtyPercent = "0.00%";
}
