package com.bocloud.cos.model;

import com.megatron.common.model.RequestContext;
import lombok.Data;

/**
 * 通知消息体
 *
 * @author weiwei
 * @since 2017年7月26日
 */
@Data
public class NotifyMessage {

    private String subject;
    private String content;
    private String emailContent;
    private RequestContext context;
    private boolean sendMsg;
    private boolean sendEmail;

    /**
     *
     */
    public NotifyMessage() {
        super();
    }

    /**
     * @param context
     * @param subject
     * @param content
     * @param sendMsg
     * @param sendEmail
     */
    public NotifyMessage(RequestContext context, String subject, String content, boolean sendMsg, boolean sendEmail) {
        super();
        this.context = context;
        this.subject = subject;
        this.content = content;
        this.sendMsg = sendMsg;
        this.sendEmail = sendEmail;
    }

    public NotifyMessage(RequestContext context, String subject, String content, String emailContent, boolean sendMsg,
                         boolean sendEmail) {
        super();
        this.context = context;
        this.subject = subject;
        this.content = content;
        this.emailContent = emailContent;
        this.sendMsg = sendMsg;
        this.sendEmail = sendEmail;
    }

}
