package com.bocloud.cos.model;

import com.bocloud.cos.entity.ServiceOrder;
import com.megatron.common.model.RequestContext;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 资源编排申请参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RosApplicationParam {

    /**
     * 服务编码
     */
    private String service;
    /**
     * 节点订购参数
     */
    private List<ApplicationParam> nodeParams;
    /**
     * 订单参数
     */
    private ServiceOrder order;
    /**
     * 申请人
     */
    private RequestContext context;

}
