package com.bocloud.cos.params;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 变更订单明细参数
 *
 * @author tyl
 * @since 2021/4/6 11:38
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ServiceAddressParams {

    private Long id;

    /**
     * 联系人
     */
    private String contactName;

    /**
     * 联系电话
     */
    private String contactPhone;

    /**
     *  邮箱
     */
    private String contactEmail;

    /**
     * 服务商类型
     */
    private String type;


    /**
     * 所属组织
     */
    private Long departId;

    /**
     * 所属组织
     */
    private List<Long> departIds;

    /**
     * 编码
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 地市
     */
    private String city;

    /**
     * 配置的云平台
     */
    private List<Long> vendorId;
}
