package com.bocloud.cos.repository.assess;

import com.bocloud.cos.entity.assess.AssessMetricClassify;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 考核指标分类DAO
 *
 * @author lym
 */
@Repository
public class AssessMetricClassifyRepository extends BasicGenericDao<AssessMetricClassify, Long> {

    public AssessMetricClassifyRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate namedParameterJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, namedParameterJdbcTemplate, service);
    }

    public List<AssessMetricClassify> queryAll() {
        String sql = "select * from assess_metric_classify where is_deleted = 0 order by parent_id";
        return this.list(AssessMetricClassify.class, sql);
    }
}
