package com.bocloud.cos.context;

import com.bocloud.cos.entity.*;
import com.bocloud.cos.operate.ResourceOperate;
import com.bocloud.cos.entity.internel.Tenant;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AlterationContext {

    private ServiceOrder order;
    private OrderItem item;
    private CloudService service;
    private ServiceCategory category;
    private ResourceOperate alterationOperate;
    private List<OrderItem> alterationItems;
    private Tenant tenant;
    private List<ResourceQuota> quotas;
}
